## GstBtSimSyn GstBtSimSyn — simple monophonic audio synthesizer |

## Properties

gdouble | attack | Read / Write
gdouble | cut-off | Read / Write
gdouble | decay | Read / Write
GstBtFilterSVFType | filter | Read / Write
GstBtNote | note | Write
gdouble | resonance | Read / Write
GstBtToneConversionTuning | tuning | Read / Write
gdouble | volume | Read / Write
GstBtOscSynthWave | wave | Read / Write

## Types and Values

struct | GstBtSimSyn

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSrc
                        ╰── GstBtAudioSynth
                            ╰── GstBtSimSyn

## Implemented Interfaces

GstBtSimSyn implements GstPreset and GstBtTempo.

## Description

Simple monophonic audio synthesizer with a single oscillator (GstBtOscSynth) , an attack-decay envelope (GstBtEnvelopeAD) and a state-variable filter (GstBtFilterSVF).

### Example launch line

    1
    gst-launch-1.0 simsyn num-buffers=10 note="c-4" ! autoaudiosink

Render a sine wave tone.

## Functions

## Types and Values

### struct GstBtSimSyn

    struct GstBtSimSyn;

Class instance data.

## Property Details

### The `“attack”` property

      “attack”                   gdouble

Attack of the envelope in seconds.

Flags: Read / Write

Allowed values: [0.001,4]

Default value: 0.001

### The `“cut-off”` property

      “cut-off”                  gdouble

Audio filter cut-off frequency.

Flags: Read / Write

Allowed values: [0,1]

Default value: 0.8

### The `“decay”` property

      “decay”                    gdouble

Decay of the envelope in seconds.

Flags: Read / Write

Allowed values: [0.001,4]

Default value: 0.5

### The `“filter”` property

      “filter”                   GstBtFilterSVFType

Type of audio filter.

Flags: Read / Write

Default value: LowPass

### The `“note”` property

      “note”                     GstBtNote

Musical note (e.g. 'c-3', 'd#4').

Flags: Write

Default value: NONE

### The `“resonance”` property

      “resonance”                gdouble

Audio filter resonance.

Flags: Read / Write

Allowed values: [0.7,25]

Default value: 0.8

### The `“tuning”` property

      “tuning”                   GstBtToneConversionTuning

Harmonic tuning schema.

Flags: Read / Write

Default value: GSTBT_TONE_CONVERSION_EQUAL_TEMPERAMENT

### The `“volume”` property

      “volume”                   gdouble

Highest level of the envelope.

Flags: Read / Write

Allowed values: [0,1]

Default value: 0.8

### The `“wave”` property

      “wave”                     GstBtOscSynthWave

Oscillator waveform.

Flags: Read / Write

Default value: Sine